<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./css/style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Trispace:wght@300;600&display=swap" rel="stylesheet">
    <link rel="shortcut icon" type="image/jpg" href="img/icons/favicon.png" />
    <link href="css/lightbox.css" rel="stylesheet" />
    
    <!-- <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script> -->


    <title>Portfólio / Fotografias</title>
</head>

<body>

    <div class="content-container">
        <div class="side-menu">
            <div class="menu-logo">
                <p>CHIARA FERNANDES</p>
            </div>

            <div class="side-menu__pages">
                <!-- <div class="side-menu__pages__elements" onclick="openFilter()">
                    <img src=".\img\icons\expand-arrow.svg" id="side-menu__pages__elements__expand-arrow" alt=""
                        href="">Fotografia
                        <div class="side-menu__pages__elements__fotografia-filtro">Retrato</div>
                        <div class="side-menu__pages__elements__fotografia-filtro">Urbano</div>
                        <div class="side-menu__pages__elements__fotografia-filtro">Abstrato</div>
                        <div class="side-menu__pages__elements__fotografia-filtro__sideline"></div>
                </div> -->
                <div class="dropdown">
                    <div onclick="myFunction()" class="dropbtn filter-button" data-filter="all"><img src=".\img\icons\expand-arrow.svg" class="side-menu__pages__elements__expand-arrow" id="side-menu__pages__elements__expand-arrow" alt=""
                        href="">Fotografia</div>
                    <div id="myDropdown" class="dropdown-content">
                      <a href="#" class="filter-button" data-filter="retrato">Retrato</a>                      
                      <a href="#" class="filter-button" data-filter="urbano">Urbano</a>
                      <a href="#" class="filter-button" data-filter="abstrato">Abstrato</a>
                    </div>
                  </div>                
                <div class="side-menu__pages__elements"><a href="webdesign.html" >Web Design</a>
                </div>
                <div class="side-menu__pages__elements"><a href="about.html">Sobre mim/contato</a></div>
                
                <div class="side-menu__pages__elements socials" href="">
                    <div>
                        <a href="https://www.instagram.com/disphater/" target="_blank">
                            <img src=".\img\icons\instagram.svg" alt="Ícone Instagram"></a>
                    </div>

                    <div> <a href="https://www.linkedin.com/in/chiarafernandes/" target="_blank">
                            <img src=".\img\icons\linkedin.svg" alt="Ícone LinkedIn">
                        </a>
                    </div>
                </div>
                <div class="side-menu__pages__elements" href="">
                    <label class="switch">
                        <input type="checkbox" onclick="darkMode()">
                        <span class="slider"></span>
                    </label>
                </div>
            </div>
        </div>



        <section class="main-container">
            <div class="row">
                <div class="column">
                    <a href=".\img\photographs\img1.png" class="filter urbano" data-lightbox="image-1" data-title="Catedral da Sé"><img src=".\img\photographs\img1.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img3.png" class="filter urbano" data-lightbox="image-1" data-title="Cidade #1"><img src=".\img\photographs\img3.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img5.png" class="filter urbano" data-lightbox="image-1" data-title="Minhocão"><img src=".\img\photographs\img5.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img7.png" class="filter abstrato" data-lightbox="image-1" data-title="Horizonte"><img src=".\img\photographs\img7.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img9.png" class="filter retrato" data-lightbox="image-1" data-title="Autorretrato #1"><img src=".\img\photographs\img9.png" alt="" class="image"></a>
                    
                </div>
                <div class="column">
                    <a href=".\img\photographs\img2.png" class="filter retrato" data-lightbox="image-1" data-title="João #1"><img src=".\img\photographs\img2.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img4.png" class="filter urbano" data-lightbox="image-1" data-title="Quarentena"><img src=".\img\photographs\img4.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img6.png" class="filter retrato" data-lightbox="image-1" data-title="Marco"><img src=".\img\photographs\img6.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img8.png" class="filter retrato" data-lightbox="image-1" data-title="Autorretrato #2"><img src=".\img\photographs\img8.png" alt="" class="image"></a>
                    <a href=".\img\photographs\img10.jpg" class="filter abstrato" data-lightbox="image-1" data-title="Mar #1"><img src=".\img\photographs\img10.jpg" alt="" class="image"></a>
                </div>
            </div>
    
        </section>

        <script src="js/lightbox-plus-jquery.js"></script>
        
        <script>
            function darkMode() {
                let element = document.body;
                element.classList.toggle("dark-mode");
            }


        //     function openFilter() {
        //     const filtroFotografias = document.getElementsByClassName("side-menu__pages__elements__fotografia-filtro")[0];
            
        //     if (filtroFotografias.style.display == 'block') {
        //         filtroFotografias.style.display = 'none';
        //     }
        //     else {
        //         filtroFotografias.style.display = "block";
        //     }
        // }

        function myFunction() {
  document.getElementById("myDropdown").classList.toggle("show")
  document.getElementById("side-menu__pages__elements__expand-arrow").classList.toggle("open");
}






$(document).ready(function(){

$(".filter-button").click(function(){
    var value = $(this).attr('data-filter');
    
    if(value == "all")
    {
        //$('.filter').removeClass('hidden');
        $('.filter').show('1000');
    }
    else
    {
//            $('.filter[filter-item="'+value+'"]').removeClass('hidden');
//            $(".filter").not('.filter[filter-item="'+value+'"]').addClass('hidden');
        $(".filter").not('.'+value).hide('3000');
        $('.filter').filter('.'+value).show('3000');
        
    }
});

if ($(".filter-button").removeClass("active")) {
$(this).removeClass("active");
}
$(this).addClass("active");

});


        </script>

</body>

</html>